// pages/messageDetail/messageDetail.js
import {
  get
} from '../../../utils/http'
var WxParse = require('../../../components/local/wxParse/wxParse.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: "", //消息ID
    messageDetail:"", //消息详情
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
        // 禁用分享
        wx.hideShareMenu()
    console.log(options);
    this.setData({
      id: options.id, //获取消息ID
    })
    // 标记消息已读
    this.messageRead()
    // 获取消息详情
    this.getMessageDetail()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  // 标记消息已读
  messageRead() {
    get('v2/api/message/read', {
      id: this.data.id
    }, (res) => {})
  },
  // 获取消息详情
  getMessageDetail(){
    let that = this
    get('v2/api/message/detail',{
      id:that.data.id
    },(res)=>{
      if(res.code==200){
        console.log(res.data.content);
        WxParse.wxParse('article', 'html', res.data.content, that, 5);
        this.setData({
          messageDetail:res.data
        })
      }
    })
  }
})